package com.zbf.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;

/**
 * 出库对象 t_ck_orders
 *
 * @author tony
 * @date 2024-06-24
 */
@Data
@TableName(resultMap = "com.zbf.system.mapper.TCkOrdersMapper.TCkOrdersResult")
public class TCkOrders extends BaseEntity {
private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id", type = IdType.INPUT)
    @Excel(name = "出库单",needMerge = true)
    private String id;

    /** 出库单号 */
    /*@Excel(name = "出库单号",needMerge = true)*/
    private String orderId;

    @Excel(name = "来源单号",needMerge = true)
    private String deliveryId;

    /** 仓库编号 */

    private String storageId;
    /** 仓库编号 */
    @Excel(name = "仓库名称",needMerge = true)
    private String storageShortName;

    /** 库区编号 */

    private String storageAreaId;

    /** 出库类型 */
    @Excel(name = "出库类型",needMerge = true)
    private String ckType;

    /** 出库方式 */
    private String deliveryMethod;



    /** 审核人 */
    @Excel(name = "审核人",needMerge = true)
    private String auditMan;
    @Excel(name = "审核意见",needMerge = true)
    private String rejectReason;
    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss",needMerge = true)
    private Date auditDate;



    /** 确认状态 */
    @Excel(name = "确认状态",needMerge = true)
    private String confirmStatus;

    /** 操作人 */
    @Excel(name = "操作人",needMerge = true)
    private String recordPerson;

    /** 申请人 */
    @Excel(name = "申请人",needMerge = true)
    private String applicant;

    /** 审核状态 */
    @Excel(name = "审核状态",needMerge = true)
    private String isAudit;


    /** 钉钉实例ID */
    @Excel(name = "钉钉实例ID",needMerge = true)
    private String instanceId;

    /** 操作时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss",needMerge = true)
    private Date recordDate;

    /** 生产订单号 */
/*
    @Excel(name = "生产订单号",needMerge = true)
*/
    private String productId;

    /** 工位 */
    private String stationId;

    /** 任务号 */
    private String taskId;
    /** 状态 */
    @Excel(name = "状态",needMerge = true)
    private String status;
    /** 订单来源 */
    @Excel(name = "订单来源",needMerge = true)
    private String orderSource;

    /** 站台 */
    private String outStand;

    /** 订单类型 */
    @Excel(name = "订单类型",needMerge = true)
    private String orderType;
    /** 下单时间 */
//    @Excel(name = "下单时间",needMerge = true)
    private String orderDate;

    private Long deptId;

    @Excel(name = "申请部门",needMerge = true)
    private String deptName;

    private String ctl;

    private BigDecimal sum;

    private int isAvgExec;
    /** 订单类型 */
    @Excel(name = "设备CODE",needMerge = true)
    private String code;
    /** 订单类型 */
    @Excel(name = "设备信息",needMerge = true)
    private String errMsg;

    @Excel(name = "审核原因",needMerge = true)
    private String why;

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public String getDeliveryId() {
        return deliveryId;
    }

    public void setDeliveryId(String deliveryId) {
        this.deliveryId = deliveryId;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    /** 出库物料明细信息 */
    private List<TCkOrderdetail> tckOrderdetailList;

    //审核人
    private String auditPerson1;
    private String auditPerson2;
    private String auditPerson3;

    public String getCtl() {
        return ctl;
    }

    public void setCtl(String ctl) {
        this.ctl = ctl;
    }

    public BigDecimal getSum() {
        return sum;
    }

    public void setSum(BigDecimal sum) {
        this.sum = sum;
    }

    public int getIsAvgExec() {
        return isAvgExec;
    }

    public void setIsAvgExec(int isAvgExec) {
        this.isAvgExec = isAvgExec;
    }

    public String getAuditPerson3() {
        return auditPerson3;
    }

    public String getInstanceId() {
        return instanceId;
    }

    public void setInstanceId(String instanceId) {
        this.instanceId = instanceId;
    }

    public void setAuditPerson3(String auditPerson3) {
        this.auditPerson3 = auditPerson3;
    }

    public String getAuditPerson1() {
        return auditPerson1;
    }

    public void setAuditPerson1(String auditPerson1) {
        this.auditPerson1 = auditPerson1;
    }

    public String getAuditPerson2() {
        return auditPerson2;
    }

    public void setAuditPerson2(String auditPerson2) {
        this.auditPerson2 = auditPerson2;
    }

    public String getRejectReason() {
        return rejectReason;
    }

    public void setRejectReason(String rejectReason) {
        this.rejectReason = rejectReason;
    }

    public String getIsAudit() {
        return isAudit;
    }

    public void setIsAudit(String isAudit) {
        this.isAudit = isAudit;
    }

    public void setId(String id)
            {
            this.id = id;
            }

    public String getId()
            {
            return id;
            }
    public void setOrderId(String orderId)
            {
            this.orderId = orderId;
            }

    public String getOrderId()
            {
            return orderId;
            }
    public void setStorageId(String storageId)
            {
            this.storageId = storageId;
            }

    public String getStorageId()
            {
            return storageId;
            }
    public void setStorageAreaId(String storageAreaId)
            {
            this.storageAreaId = storageAreaId;
            }

    public String getStorageAreaId()
            {
            return storageAreaId;
            }
    public void setCkType(String ckType)
            {
            this.ckType = ckType;
            }

    public String getCkType()
            {
            return ckType;
            }
    public void setDeliveryMethod(String deliveryMethod)
            {
            this.deliveryMethod = deliveryMethod;
            }

    public String getDeliveryMethod()
            {
            return deliveryMethod;
            }
    public void setStatus(String status)
            {
            this.status = status;
            }

    public String getStatus()
            {
            return status;
            }
    public void setAuditMan(String auditMan)
            {
            this.auditMan = auditMan;
            }

    public String getAuditMan()
            {
            return auditMan;
            }
    public void setAuditDate(Date auditDate)
            {
            this.auditDate = auditDate;
            }

    public Date getAuditDate()
            {
            return auditDate;
            }
    public void setOrderSource(String orderSource)
            {
            this.orderSource = orderSource;
            }

    public String getOrderSource()
            {
            return orderSource;
            }
    public void setOutStand(String outStand)
            {
            this.outStand = outStand;
            }

    public String getOutStand()
            {
            return outStand;
            }
    public void setOrderType(String orderType)
            {
            this.orderType = orderType;
            }

    public String getOrderType()
            {
            return orderType;
            }
    public void setConfirmStatus(String confirmStatus)
            {
            this.confirmStatus = confirmStatus;
            }

    public String getConfirmStatus()
            {
            return confirmStatus;
            }
    public void setRecordPerson(String recordPerson)
            {
            this.recordPerson = recordPerson;
            }

    public String getRecordPerson()
            {
            return recordPerson;
            }
    public void setApplicant(String applicant)
            {
            this.applicant = applicant;
            }

    public String getApplicant()
            {
            return applicant;
            }
    public void setRecordDate(Date recordDate)
            {
            this.recordDate = recordDate;
            }

    public Date getRecordDate()
            {
            return recordDate;
            }
    public void setProductId(String productId)
            {
            this.productId = productId;
            }

    public String getProductId()
            {
            return productId;
            }
    public void setStationId(String stationId)
            {
            this.stationId = stationId;
            }

    public String getStationId()
            {
            return stationId;
            }
    public void setTaskId(String taskId)
            {
            this.taskId = taskId;
            }

    public String getTaskId()
            {
            return taskId;
            }
    public void setOrderDate(String orderDate)
            {
            this.orderDate = orderDate;
            }

    public String getOrderDate()
            {
            return orderDate;
            }

    public List<TCkOrderdetail> getTckOrderdetailList() {
        return tckOrderdetailList;
    }

    public void setTckOrderdetailList(List<TCkOrderdetail> tckOrderdetailList) {
        this.tckOrderdetailList = tckOrderdetailList;
    }

    public String getStorageShortName() {
        return storageShortName;
    }

    public void setStorageShortName(String storageShortName) {
        this.storageShortName = storageShortName;
    }

    @Override
public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("orderId", getOrderId())
            .append("storageId", getStorageId())
            .append("storageAreaId", getStorageAreaId())
            .append("ckType", getCkType())
            .append("deliveryMethod", getDeliveryMethod())
            .append("remark", getRemark())
            .append("status", getStatus())
            .append("createBy", getCreateBy())
            .append("isAudit", getIsAudit())
            .append("auditMan", getAuditMan())
            .append("auditDate", getAuditDate())
            .append("orderSource", getOrderSource())
            .append("outStand", getOutStand())
            .append("orderType", getOrderType())
            .append("confirmStatus", getConfirmStatus())
            .append("recordPerson", getRecordPerson())
            .append("applicant", getApplicant())
            .append("recordDate", getRecordDate())
            .append("productId", getProductId())
            .append("stationId", getStationId())
            .append("taskId", getTaskId())
            .append("orderDate", getOrderDate())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("tckOrderdetailList", getTckOrderdetailList())
        .toString();
        }
}


















